Subject: bug#19972: Font size change doesn't update (window-total-width)

From: martin rudalics <[email-masked]>
Date: Mon, 02 Mar 2015 19:12:12 +0100

>>> - Consider the case of full-screen frames, which never change in pixel
 >>>    size. The window-width should change when the font size changes in
 >>>    this case too.
 >>
 >> This is the case (hopefully) with Emacs 25 but not with Emacs 24.5.
 >> Although some window managers may refuse to change the frame size even
 >> with Emacs 24.5 as we've learned here.
 >
 >
 >
 > It’s not the case on OS X with Emacs HEAD from 19th Feb, at least.

I meant that with Emacs 25 full-screen frames should never change in
pixel size when the default font changes.  On all platforms.  And people
should see the `window-total-width' problem on all systems with current
trunk.  Have you tried the patch I posted in this thread?

 >> With Emacs 25 you can do, for example,
 >>
 >> (let ((frame-inhibit-implied-resize t))
 >>   (custom-push-theme 'theme-face 'default 'user 'set '((t (:height 128))))
 >>   (face-spec-recalc 'default (selected-frame)))
 >>
 >> unless you have set `frame-inhibit-implied-resize' to non-nil already.
 >
 >
 > Interesting: I hadn’t seen that. The above snippet still results in a changed frame size on my system, though.

We would have to investigate that.  It might mean that OS X changes the
frame size deliberately.  But Emacs should not request such a change
with the above snippet.

martin